Skip to content

Retrieves the fields required to initiate a specific multi-record workflow.

GET/api/{version}/objects/objectworkflows/actions/{workflow_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_name}The multi-record workflow name value.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/actions/Objectworkflow.approval__c
{ "responseStatus": "SUCCESS", "data": { "name": "Objectworkflow.approval__c", "controls": [ { "prompts": [ { "label": "Contents", "name": "contents__sys" } ], "type": "contents", "label": "Contents" }, { "prompts": [ { "multi_value": false, "label": "Description", "name": "description__sys" } ], "type": "description", "label": "Description" } ], "label": "Multi-Object", "type": "multirecordworkflow", "cardinality": "OneOrMany" } }

On SUCCESS, the response lists the fields that must be configured with values in order to initiate the workflow. These are based on the controls configured in the workflow start step.

The response may include the following types of controls:

NameDescription
promptsThe input prompts which accept values when initiating the workflow.
instructionsContains static instruction text regarding workflow initiation.
participantUsed to specify users who will be part of the workflow.
dateDate selections for the workflow, such as due date.
documentsUsed to specify the documents for inclusion in the workflow.
descriptionThe document workflow description.
variableThe variable prompts which accept values when initiating the workflow.

Additionally, the response includes following fields describing the workflow:

NameDescription
nameThe workflow name.
labelUI Label for the workflow.
typeType of workflow (multirecordworkflow).
cardinalityIndicates how many contents (One, OneOrMany) can be included in a workflow.